Package ghidra.app.util.bin.format.macho.dyld

# Class DyldCacheImageInfo

java.lang.Object
ghidra.app.util.bin.format.macho.dyld.DyldCacheImageInfo

All Implemented Interfaces:
  `DyldCacheImage`, `StructConverter`

public class DyldCacheImageInfo extends Object implements DyldCacheImage, StructConverter
Represents a dyld_cache_image_info structure.

See Also:
  - dyld_cache_format.h

- ## Field Summary

  ### Fields inherited from interface ghidra.app.util.bin.StructConverter

  `ASCII, BYTE, DWORD, IBO32, IBO64, POINTER, QWORD, SLEB128, STRING, ULEB128, UTF16, UTF8, VOID, WORD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DyldCacheImageInfo(BinaryReader reader)`
  Create a new `DyldCacheImageInfo`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `long`
  `getAddress()`
  Gets the address the start of the image
  `String`
  `getPath()`
  Gets the path of the image
  `DataType`
  `toDataType()`
  Returns a structure datatype representing the contents of the implementor of this interface.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DyldCacheImageInfo

    public DyldCacheImageInfo(BinaryReader reader) throws IOException
    Create a new `DyldCacheImageInfo`.
    Parameters:
      `reader` - A `BinaryReader` positioned at the start of a DYLD image info
    Throws:
      `IOException` - if there was an IO-related problem creating the DYLD image info

- ## Method Details

  - ### getAddress

    public long getAddress()
    Description copied from interface: `DyldCacheImage`
    Gets the address the start of the image
    Specified by:
      `getAddress` in interface `DyldCacheImage`
    Returns:
      The address of the start of the image

  - ### getPath

    public String getPath()
    Description copied from interface: `DyldCacheImage`
    Gets the path of the image
    Specified by:
      `getPath` in interface `DyldCacheImage`
    Returns:
      The path of the image

  - ### toDataType

    public DataType toDataType() throws DuplicateNameException, IOException
    Description copied from interface: `StructConverter`
    Returns a structure datatype representing the contents of the implementor of this interface.

    For example, given:

         class A {
             int foo;
             double bar;
         }

    The return value should be a structure data type with two data type components; an INT and a DOUBLE. The structure should contain field names and, if possible, field comments.

    Specified by:
      `toDataType` in interface `StructConverter`
    Returns:
      returns a structure datatype representing the implementor of this interface
    Throws:
      `DuplicateNameException` - when a datatype of the same name already exists
      `IOException` - if an IO-related error occurs
    See Also:
      - `StructureDataType`